# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Jun 12 23:37:26 2023
# ------------------------------------------------

package:
  name: cryptography
  version: 39.0.1
source:
  sha256: d1f6198ee6d9148405e49887803907fe8962a23e6c6f83ea7d98f1c0de375695
  url: https://pypi.io/packages/source/c/cryptography/cryptography-39.0.1.tar.gz
build:
  number: '2'
  script: /croot/cryptography_1686613060640/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py310h3d58568_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 11.2.0 h1234567_1
    - rust 1.64.0 hd43f75c_0
    - rust_linux-aarch64 1.46.0 h22f4aa5_0
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.05.30 hd43f75c_0
    - cffi 1.15.1 py310h998d150_3
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.8 h2f4d8fa_0
    - pip 23.1.2 py310hd43f75c_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.10.11 h4bb2201_3
    - readline 8.2 h998d150_0
    - semantic_version 2.8.5 pyhd3eb1b0_0
    - setuptools 67.8.0 py310hd43f75c_0
    - setuptools-rust 1.5.2 py310hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - typing_extensions 4.6.3 py310hd43f75c_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py310hd43f75c_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - cffi >=1.12
    - libgcc-ng
    - openssl 3.*
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
    - pytest -n auto
  requires:
    - cryptography-vectors 39.0.1.*
    - hypothesis >=1.11.4,!=3.79.2
    - iso8601
    - pip
    - pretend
    - pytest >=6.2.0
    - pytest-benchmark
    - pytest-subtests
    - pytest-xdist
    - pytz
  source_files:
    - tests
about:
  description: 'Cryptography is a package which provides cryptographic recipes and

    primitives to Python developers. Our goal is for it to be your

    "cryptographic standard library". It supports Python 3.6+ and PyPy3 7.2+.

    cryptography includes both high level recipes and low level interfaces to

    common cryptographic algorithms such as symmetric ciphers, message digests,

    and key derivation functions.

    '
  dev_url: https://github.com/pyca/cryptography
  doc_url: https://cryptography.io/en/39.0.1/
  home: https://github.com/pyca/cryptography
  license: (BSD-3-Clause OR Apache-2.0) AND PSF-2.0 AND MIT
  license_family: BSD
  license_url: https://github.com/pyca/cryptography/blob/39.0.1/vectors/LICENSE
  summary: Provides cryptographic recipes and primitives to Python developers
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bc9fded1-8aa7-4ab5-ac50-5fda6cd7a3ca
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/cryptography-feedstock.git
  sha: 179e56cfa9b981db727ad7259668c8fe3de29268
